%define module    qtpy
%define pypi_name QtPy

Name:           python-%{module}
Version:        2.3.0
Release:        %mkrel 1
Summary:        Abstraction layer for PyQt5/PyQt4/PySide (Python 2)
Group:          Development/Python
License:        MIT and BSD
URL:            https://github.com/spyder-ide/qtpy
Source0:        https://github.com/spyder-ide/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets
you write applications using a single API call to either PyQt or
PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import
qt from qtpy instead of PyQt5.

#----------------------------------------------------

%package -n     python3-%{module}
Summary:        Abstraction layer for PyQt5/PyQt4/PySide (Python 3)
Group:          Development/Python
BuildArch:      noarch
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
QtPy (pronounced ‘cutie pie’) is a small abstraction layer that lets
you write applications using a single API call to either PyQt or
PySide.

It provides support for PyQt5, PyQt4 and PySide using the PyQt5 layout
(where the QtGui module has been split into QtGui and QtWidgets).

Basically, you write your code as if you were using PyQt5 but import
qt from qtpy instead of PyQt5.

#----------------------------------------------------

%prep
%autosetup -n %{module}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qtpy

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{_bindir}/qtpy


%changelog
* Sun Nov 13 2022 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1906767
- new version: 2.3.0

* Wed Sep 07 2022 papoteur <papoteur> 2.2.0-1.mga9
+ Revision: 1884810
- new 2.2.0

* Wed Mar 23 2022 umeabot <umeabot> 1.9.0-5.mga9
+ Revision: 1822952
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.9.0-4.mga9
+ Revision: 1778452
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.9.0-3.mga9
+ Revision: 1707317
- rebuild for python 3.9

* Fri Feb 21 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1547781
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1488325
- new version: 1.9.0

* Sun Sep 15 2019 daviddavid <daviddavid> 1.6.0-2.mga8
+ Revision: 1441574
- rebuild for python3.8
- drop python2 support

* Tue Feb 19 2019 wally <wally> 1.6.0-1.mga7
+ Revision: 1368463
- new version 1.6.0

* Thu Jan 10 2019 shlomif <shlomif> 1.5.2-1.mga7
+ Revision: 1354190
- New version

* Thu Sep 20 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1289987
- Mageia 7 Mass Rebuild

* Sun May 06 2018 daviddavid <daviddavid> 1.4.1-1.mga7
+ Revision: 1226642
- new version: 1.4.1

* Sat Sep 02 2017 daviddavid <daviddavid> 1.3.1-1.mga7
+ Revision: 1150711
- new version: 1.3.1
- rename python-qtpy to python2-qtpy

* Sat Aug 05 2017 pterjan <pterjan> 1.2.1-2.mga7
+ Revision: 1135600
- Rebuild for python 3.6

* Sun Jan 29 2017 daviddavid <daviddavid> 1.2.1-1.mga6
+ Revision: 1083994
- initial package python-qtpy

